debcargo-build-order(1)

NAME
debcargo-build-order - Print the transitive dependencies of a package in topological order

SYNOPSIS
debcargo build-order [--config-dir] [--resolve-type] [--emulate-collapse-features] [-h|--help] <CRATE_NAME> [VERSION]

DESCRIPTION
Print the transitive dependencies of a package in topological order

OPTIONS

--config-dir <CONFIG_DIR>
    Directory for configs. The config subdirectory for a given crate is looked up by their crate name and version, from more specific to less specific, e.g. <crate>-1.2.3, then <crate>-1.2, then <crate>-1 and finally <crate>. The config file is read from the debian/debcargo.toml subpath of the looked-up subdirectory

--resolve-type <RESOLVE_TYPE> [default: SourceForDebianUnstable]
    Resolution type

    [possible values: SourceForDebianUnstable, BinaryAllForDebianTesting]

--emulate-collapse-features
    Emulate resolution as if every package were built with --collapse-features

-h, --help
    Print help

<CRATE_NAME>
    Name of the crate to package

[VERSION]
    Version of the crate to package; may contain dependency operators